<template lang="pug">
transition(@enter="onEnter" @leave="onLeave" :css='false' mode="out-in")
  slot(v-if="!loading")
  slot(v-else name="loader")
    .abs-top-center.text-center(key='loader' ref="loader")
      .fa.fa-spinner.fa-pulse
</template>

<script>

export { default } from "./BaseAnimationLoader.vue.js";

</script>
